## net.i2p.client.streaming
Class PacketHandler

    java.lang.Object
      net.i2p.client.streaming.PacketHandler

    public class PacketHandler

extends java.lang.Object

receive a packet and dispatch it correctly to the connection specified, the server socket, or queue a reply RST packet.

Constructor Summary
`PacketHandler(I2PAppContext ctx, ConnectionManager mgr)`

Method Summary
`(package private) void` `displayPacket(Packet packet, java.lang.String prefix, java.lang.String suffix)`
`(package private) void` `receivePacket(Packet packet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PacketHandler

    public PacketHandler(I2PAppContext ctx,
                         ConnectionManager mgr)

Method Detail

### receivePacket

    void receivePacket(Packet packet)

### displayPacket

    void displayPacket(Packet packet,
                       java.lang.String prefix,
                       java.lang.String suffix)